org.jgrapht.graph

## Class ListenableUndirectedGraph<V,E>

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.GraphDelegator<V,E>
    - - org.jgrapht.graph.DefaultListenableGraph<V,E>
      - - org.jgrapht.graph.ListenableUndirectedGraph<V,E>

- All Implemented Interfaces:
    Serializable, Cloneable, Graph<V,E>, ListenableGraph<V,E>, UndirectedGraph<V,E>
  Direct Known Subclasses:
    ListenableUndirectedWeightedGraph

      public class ListenableUndirectedGraph<V,E>
      extends DefaultListenableGraph<V,E>
      implements UndirectedGraph<V,E>

  An undirected graph which is also `ListenableGraph`.
  See Also:
    `DefaultListenableGraph`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenableUndirectedGraph(Class<? extends E> edgeClass)` Creates a new listenable undirected simple graph.
    `ListenableUndirectedGraph(UndirectedGraph<V,E> base)` Creates a new listenable undirected graph.

  - ### Method Summary

    - ### Methods inherited from class org.jgrapht.graph.DefaultListenableGraph

      `addEdge, addEdge, addGraphListener, addVertex, addVertexSetListener, clone, fireEdgeAdded, fireEdgeRemoved, fireVertexAdded, fireVertexRemoved, isReuseEvents, removeEdge, removeEdge, removeGraphListener, removeVertex, removeVertexSetListener, setReuseEvents`

    - ### Methods inherited from class org.jgrapht.graph.GraphDelegator

      `containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, setEdgeWeight, toString, vertexSet`

    - ### Methods inherited from class org.jgrapht.graph.AbstractGraph

      `assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toStringFromSets`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.UndirectedGraph

      `degreeOf`

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Constructor Detail

    - #### ListenableUndirectedGraph

          public ListenableUndirectedGraph(Class<? extends E> edgeClass)

      Creates a new listenable undirected simple graph.
      Parameters:
        `edgeClass` - class on which to base factory for edges

    - #### ListenableUndirectedGraph

          public ListenableUndirectedGraph(UndirectedGraph<V,E> base)

      Creates a new listenable undirected graph.
      Parameters:
        `base` - the backing graph.

Copyright © 2016. All rights reserved.